#include "apartmenttablemodel.h"

ApartmentTableModel::ApartmentTableModel(QObject *parent):
    QSqlRelationalTableModel(parent)
{
    setTable("apartment");
    setSort(1, Qt::AscendingOrder);
    setHeaderData(0, Qt::Horizontal, trUtf8("Azonosító"));
    setHeaderData(1, Qt::Horizontal, trUtf8("Épület"));
    setHeaderData(2, Qt::Horizontal, trUtf8("Szobaszám"));
    setHeaderData(3, Qt::Horizontal, trUtf8("Emelet"));
    setHeaderData(4, Qt::Horizontal, trUtf8("Ajtó"));
    setHeaderData(5, Qt::Horizontal, trUtf8("Ágyak száma"));
    setHeaderData(6, Qt::Horizontal, trUtf8("Pótágyak száma"));
    setHeaderData(7, Qt::Horizontal, trUtf8("Fordulónap"));
    setHeaderData(8, Qt::Horizontal, trUtf8("Jellemzők"));
    setHeaderData(9, Qt::Horizontal, trUtf8("Kivehető"));
    setHeaderData(10, Qt::Horizontal, trUtf8("Megjegyzés"));
    setRelation(1, QSqlRelation("building", "id", "name"));
}

QVariant ApartmentTableModel::data(const QModelIndex &index, int role) const
{
    if(!index.isValid()) return QVariant();

    if (index.column() == 9)
    {
        switch (role)
        {
            case Qt::TextAlignmentRole:
                return QVariant(Qt::AlignCenter | Qt::AlignVCenter);
            case Qt::CheckStateRole: // a kijelölési szerep
                if (QSqlRelationalTableModel::data(this->index(index.row(), index.column()), Qt::DisplayRole).toInt() == 0)
                    // amennyiben nincs renoválás
                    return QVariant(Qt::Checked); // kijelölt állapotba helyezzük
                else
                    return QVariant(Qt::Unchecked);
            default:
                return QVariant();
        }
    }
    else
        return QSqlRelationalTableModel::data(this->index(index.row(), index.column()), role);
}
