#ifndef BUILDINGTABLEDIALOG_H
#define BUILDINGTABLEDIALOG_H

#include <QWidget>
#include <QSortFilterProxyModel>
#include <QItemSelectionModel>
#include "buildingtablemodel.h"
#include "apartmenttablemodel.h"
#include "pricesortfilterproxymodel.h"

namespace Ui {
    class BuildingEditorDialog;
}

class BuildingEditorDialog : public QWidget
{
    Q_OBJECT

public:
    BuildingEditorDialog(QWidget *parent = 0);
    ~BuildingEditorDialog();

private slots:
    void filterButton_Clicked(); // szűrés végrehajtása
    void buildingTableView_SelectionChanged(const QModelIndex& index); // szűrés az alsó táblára

private:
    void setupModel();
    void setupFilter();
    void setupUi();

    Ui::BuildingEditorDialog *_ui;

    BuildingTableModel *_buildingModel;
    ApartmentTableModel *_apartmentModel; // apartmanok modelje
    QItemSelectionModel *_buildingSelectionModel; // kiválasztás kezelése az épületek táblára

    QSortFilterProxyModel *_nameSortFilterModel; // szűrő és rendező modell
    QSortFilterProxyModel *_citySortFilterModel;
    QSortFilterProxyModel *_stateSortFilterModel;
    PriceSortFilterProxyModel *_priceSortFilterModel; // egyedi szűrőmodell az ár oszlopokra
    QSortFilterProxyModel *_buildingSortFilterModel; // apartmanok szűréséhez
};

#endif // BUILDINGTABLEDIALOG_H
