#include "pricesortfilterproxymodel.h"

#include <QMessageBox>

PriceSortFilterProxyModel::PriceSortFilterProxyModel(QObject *parent) :
    QSortFilterProxyModel(parent)
{
}

void PriceSortFilterProxyModel::setFilterPriceBoundaries(int min, int max)
{
    _minPrice = min;
    _maxPrice = max;
    invalidateFilter(); // szűrő újra alkalmazása
}

bool PriceSortFilterProxyModel::filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const
{
    int min = sourceModel()->index(sourceRow, 10, sourceParent).data().toInt(); // lekrédezzük az ár oszlopokat
    int max = sourceModel()->index(sourceRow, 11, sourceParent).data().toInt();
    return (_minPrice <= min && max <= _maxPrice); // visszaadjuk, hogy az érték megfelelő-e
}
